MysqlndUhConnection::getThreadId
MysqlndUhConnection::init
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getWarningCount

Returns the number of warnings from the last query for the given link

### Description

public int MysqlndUhConnection::getWarningCount ( mysqlnd_connection `$connection` )

Returns the number of warnings from the last query for the given link.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Number of warnings.

### Examples

Example #1 MysqlndUhConnection::getWarningCount example

`<?php
class proxy extends MysqlndUhConnection {
public function getWarningCount($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getWarningCount($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
var_dump($mysqli->warning_count);
?>`

The above example will output:

    proxy::getWarningCount(array (
      0 => NULL,
    ))
    proxy::getWarningCount returns 0
    int(0)

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_warning_count